| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Static Public Member Functions | List of all members
GaudiPython::HistoDecorator Class Reference

Simple decorator class to allow to reuse the functionality of GaudiHistos<TYPE> class in pythin. More...

`#include <GaudiPython/HistoDecorator.h>`

## Public Types
typedef std::vector< GaudiAlg::ID > | IDs
typedef std::vector< AIDA::IHistogram1D * > | Histos1D
typedef std::vector< AIDA::IHistogram2D * > | Histos2D
typedef std::vector< AIDA::IHistogram3D * > | Histos3D
typedef std::vector< AIDA::IProfile1D * > | Profiles1D
typedef std::vector< AIDA::IProfile2D * > | Profiles2D

## Static Public Member Functions
static AIDA::IHistogram1D * | plot1D (const GaudiHistoAlg &algo, const double data, const std::string &title, const double low, const double high, const unsigned long bins=100)
| "plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient) More...
static AIDA::IHistogram1D * | plot1D (const GaudiHistoAlg &algo, const double data, const GaudiAlg::HistoID &ID, const std::string &title, const double low, const double high, const unsigned long bins=100)
| "plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient) More...
static AIDA::IHistogram1D * | plot1D (const GaudiHistoAlg &algo, const double data, const long ID, const std::string &title, const double low, const double high, const unsigned long bins=100)
| "plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient) More...
static AIDA::IHistogram1D * | plot1D (const GaudiHistoAlg &algo, const double data, const std::string &ID, const std::string &title, const double low, const double high, const unsigned long bins=100)
| "plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient) More...
static AIDA::IHistogram1D * | plot1D (const GaudiHistoAlg &algo, const GaudiPython::Vector &data, const std::string &title, const double low, const double high, const unsigned long bins=100)
| "plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient) More...
static AIDA::IHistogram1D * | plot1D (const GaudiHistoAlg &algo, const GaudiPython::Vector &data, const GaudiAlg::HistoID &ID, const std::string &title, const double low, const double high, const unsigned long bins=100)
| "plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient) More...
static AIDA::IHistogram1D * | plot1D (const GaudiHistoAlg &algo, const GaudiPython::Vector &data, const long ID, const std::string &title, const double low, const double high, const unsigned long bins=100)
| "plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient) More...
static AIDA::IHistogram1D * | plot1D (const GaudiHistoAlg &algo, const GaudiPython::Vector &data, const std::string &ID, const std::string &title, const double low, const double high, const unsigned long bins=100)
| "plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient) More...
static AIDA::IHistogram2D * | plot2D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const unsigned long binsX=50, const unsigned long binsY=50, const double weight=1.0)
| fill the 2D histogram (book on demand) More...
static AIDA::IHistogram2D * | plot2D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const GaudiAlg::HistoID &ID, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const unsigned long binsX=50, const unsigned long binsY=50, const double weight=1.0)
| fill the 2D histogram with forced ID assignment (book on demand) More...
static AIDA::IHistogram2D * | plot2D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const long ID, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const unsigned long binsX=50, const unsigned long binsY=50, const double weight=1.0)
| fill the 2D histogram with forced ID assignment (book on demand) More...
static AIDA::IHistogram2D * | plot2D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const std::string &ID, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const unsigned long binsX=50, const unsigned long binsY=50, const double weight=1.0)
| fill the 2D histogram with forced ID assignment (book on demand) More...
static AIDA::IHistogram3D * | plot3D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const double valueZ, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const double lowZ, const double highZ, const unsigned long binsX=10, const unsigned long binsY=10, const unsigned long binsZ=10, const double weight=1.0)
| fill the 3D histogram (book on demand) More...
static AIDA::IHistogram3D * | plot3D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const double valueZ, const GaudiAlg::HistoID &ID, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const double lowZ, const double highZ, const unsigned long binsX=10, const unsigned long binsY=10, const unsigned long binsZ=10, const double weight=1.0)
| fill the 3D histogram (book on demand) More...
static AIDA::IHistogram3D * | plot3D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const double valueZ, const long ID, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const double lowZ, const double highZ, const unsigned long binsX=10, const unsigned long binsY=10, const unsigned long binsZ=10, const double weight=1.0)
| fill the 3D histogram (book on demand) More...
static AIDA::IHistogram3D * | plot3D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const double valueZ, const std::string &ID, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const double lowZ, const double highZ, const unsigned long binsX=10, const unsigned long binsY=10, const unsigned long binsZ=10, const double weight=1.0)
| fill the 3D histogram (book on demand) More...
static AIDA::IProfile1D * | profile1D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const std::string &title, const double lowX, const double highX, const unsigned long binsX=100, const std::string &opt="", const double lowY=-std::numeric_limits< double >::max(), const double highY=std::numeric_limits< double >::max(), const double weight=1.0)
static AIDA::IProfile1D * | profile1D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const GaudiAlg::HistoID &ID, const std::string &title, const double lowX, const double highX, const unsigned long binsX=100, const std::string &opt="", const double lowY=-std::numeric_limits< double >::max(), const double highY=std::numeric_limits< double >::max(), const double weight=1.0)
static AIDA::IProfile1D * | profile1D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const long ID, const std::string &title, const double lowX, const double highX, const unsigned long binsX=100, const std::string &opt="", const double lowY=-std::numeric_limits< double >::max(), const double highY=std::numeric_limits< double >::max(), const double weight=1.0)
static AIDA::IProfile1D * | profile1D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const std::string &ID, const std::string &title, const double lowX, const double highX, const unsigned long binsX=100, const std::string &opt="", const double lowY=-std::numeric_limits< double >::max(), const double highY=std::numeric_limits< double >::max(), const double weight=1.0)
static AIDA::IProfile2D * | profile2D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const double valueZ, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const unsigned long binsX=50, const unsigned long binsY=50, const double weight=1.0)
static AIDA::IProfile2D * | profile2D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const double valueZ, const GaudiAlg::HistoID &ID, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const unsigned long binsX=50, const unsigned long binsY=50, const double weight=1.0)
static AIDA::IProfile2D * | profile2D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const double valueZ, const long ID, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const unsigned long binsX=50, const unsigned long binsY=50, const double weight=1.0)
static AIDA::IProfile2D * | profile2D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const double valueZ, const std::string &ID, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const unsigned long binsX=50, const unsigned long binsY=50, const double weight=1.0)
static size_t | _histos_a_ (const GaudiHistoAlg *cmp, IDs &ids, Histos1D &histos)
static size_t | _histos_t_ (const GaudiHistoTool *cmp, IDs &ids, Histos1D &histos)
static size_t | _histos_a_ (const IAlgorithm *cmp, IDs &ids, Histos1D &histos)
static size_t | _histos_t_ (const IAlgTool *cmp, IDs &ids, Histos1D &histos)
static size_t | _histos_a_ (const GaudiHistoAlg *cmp, IDs &ids, Histos2D &histos)
static size_t | _histos_t_ (const GaudiHistoTool *cmp, IDs &ids, Histos2D &histos)
static size_t | _histos_a_ (const IAlgorithm *cmp, IDs &ids, Histos2D &histos)
static size_t | _histos_t_ (const IAlgTool *cmp, IDs &ids, Histos2D &histos)
static size_t | _histos_a_ (const GaudiHistoAlg *cmp, IDs &ids, Histos3D &histos)
static size_t | _histos_t_ (const GaudiHistoTool *cmp, IDs &ids, Histos3D &histos)
static size_t | _histos_a_ (const IAlgorithm *cmp, IDs &ids, Histos3D &histos)
static size_t | _histos_t_ (const IAlgTool *cmp, IDs &ids, Histos3D &histos)
static size_t | _histos_a_ (const GaudiHistoAlg *cmp, IDs &ids, Profiles1D &histos)
static size_t | _histos_t_ (const GaudiHistoTool *cmp, IDs &ids, Profiles1D &histos)
static size_t | _histos_a_ (const IAlgorithm *cmp, IDs &ids, Profiles1D &histos)
static size_t | _histos_t_ (const IAlgTool *cmp, IDs &ids, Profiles1D &histos)
static size_t | _histos_a_ (const GaudiHistoAlg *cmp, IDs &ids, Profiles2D &histos)
static size_t | _histos_t_ (const GaudiHistoTool *cmp, IDs &ids, Profiles2D &histos)
static size_t | _histos_a_ (const IAlgorithm *cmp, IDs &ids, Profiles2D &histos)
static size_t | _histos_t_ (const IAlgTool *cmp, IDs &ids, Profiles2D &histos)

## Detailed Description

Simple decorator class to allow to reuse the functionality of GaudiHistos<TYPE> class in pythin.

Author
  Vanya BELYAEV Ivan..nosp@m.Bely.nosp@m.aev@l.nosp@m.app..nosp@m.in2p3.nosp@m..fr

Date
  2005-08-04

Definition at line 26 of file HistoDecorator.h.

## Member Typedef Documentation

typedef std::vector<AIDA::IHistogram1D*> GaudiPython::HistoDecorator::Histos1D

Definition at line 31 of file HistoDecorator.h.

typedef std::vector<AIDA::IHistogram2D*> GaudiPython::HistoDecorator::Histos2D

Definition at line 32 of file HistoDecorator.h.

typedef std::vector<AIDA::IHistogram3D*> GaudiPython::HistoDecorator::Histos3D

Definition at line 33 of file HistoDecorator.h.

typedef std::vector<GaudiAlg::ID> GaudiPython::HistoDecorator::IDs

Definition at line 30 of file HistoDecorator.h.

typedef std::vector<AIDA::IProfile1D*> GaudiPython::HistoDecorator::Profiles1D

Definition at line 34 of file HistoDecorator.h.

typedef std::vector<AIDA::IProfile2D*> GaudiPython::HistoDecorator::Profiles2D

Definition at line 35 of file HistoDecorator.h.

## Member Function Documentation

size_t GaudiPython::HistoDecorator::_histos_a_ | ( | const GaudiHistoAlg * | cmp,
|  | IDs & | ids,
|  | Histos1D & | histos
| ) |  |
| static

Definition at line 497 of file HistoDecorator.cpp.

499 {
500 histos.clear();
501 ids.clear();
502 return cmp ? fromMap( cmp->histo1DMapID(), ids, histos ) : 0;
503 // ==========================================================================
504 }
compareRootHistos.histos
list histos
Definition: compareRootHistos.py:13
GaudiHistos::histo1DMapID
const Histo1DMapID & histo1DMapID() const
get access to the map of all 1D histograms index via ID
Definition: GaudiHistos.h:2473

size_t GaudiPython::HistoDecorator::_histos_a_ | ( | const IAlgorithm * | cmp,
|  | IDs & | ids,
|  | Histos1D & | histos
| ) |  |
| static

Definition at line 515 of file HistoDecorator.cpp.

517 {
518 ids.clear();
519 histos.clear();
520 return cmp ? _histos_a_( dynamic_cast<const GaudiHistoAlg*>( cmp ), ids, histos ) : 0;
521 }
compareRootHistos.histos
list histos
Definition: compareRootHistos.py:13
GaudiPython::HistoDecorator::_histos_a_
static size_t _histos_a_(const GaudiHistoAlg *cmp, IDs &ids, Histos1D &histos)
Definition: HistoDecorator.cpp:497

static size_t GaudiPython::HistoDecorator::_histos_a_ | ( | const GaudiHistoAlg * | cmp,
|  | IDs & | ids,
|  | Histos2D & | histos
| ) |  |
| static

static size_t GaudiPython::HistoDecorator::_histos_a_ | ( | const IAlgorithm * | cmp,
|  | IDs & | ids,
|  | Histos2D & | histos
| ) |  |
| static

static size_t GaudiPython::HistoDecorator::_histos_a_ | ( | const GaudiHistoAlg * | cmp,
|  | IDs & | ids,
|  | Histos3D & | histos
| ) |  |
| static

static size_t GaudiPython::HistoDecorator::_histos_a_ | ( | const IAlgorithm * | cmp,
|  | IDs & | ids,
|  | Histos3D & | histos
| ) |  |
| static

static size_t GaudiPython::HistoDecorator::_histos_a_ | ( | const GaudiHistoAlg * | cmp,
|  | IDs & | ids,
|  | Profiles1D & | histos
| ) |  |
| static

static size_t GaudiPython::HistoDecorator::_histos_a_ | ( | const IAlgorithm * | cmp,
|  | IDs & | ids,
|  | Profiles1D & | histos
| ) |  |
| static

static size_t GaudiPython::HistoDecorator::_histos_a_ | ( | const GaudiHistoAlg * | cmp,
|  | IDs & | ids,
|  | Profiles2D & | histos
| ) |  |
| static

static size_t GaudiPython::HistoDecorator::_histos_a_ | ( | const IAlgorithm * | cmp,
|  | IDs & | ids,
|  | Profiles2D & | histos
| ) |  |
| static

size_t GaudiPython::HistoDecorator::_histos_t_ | ( | const GaudiHistoTool * | cmp,
|  | IDs & | ids,
|  | Histos1D & | histos
| ) |  |
| static

Definition at line 506 of file HistoDecorator.cpp.

508 {
509 histos.clear();
510 ids.clear();
511 return cmp ? fromMap( cmp->histo1DMapID(), ids, histos ) : 0;
512 // ==========================================================================
513 }
compareRootHistos.histos
list histos
Definition: compareRootHistos.py:13
GaudiHistos::histo1DMapID
const Histo1DMapID & histo1DMapID() const
get access to the map of all 1D histograms index via ID
Definition: GaudiHistos.h:2473

size_t GaudiPython::HistoDecorator::_histos_t_ | ( | const IAlgTool * | cmp,
|  | IDs & | ids,
|  | Histos1D & | histos
| ) |  |
| static

Definition at line 523 of file HistoDecorator.cpp.

525 {
526 ids.clear();
527 histos.clear();
528 return cmp ? _histos_t_( dynamic_cast<const GaudiHistoTool*>( cmp ), ids, histos ) : 0;
529 }
compareRootHistos.histos
list histos
Definition: compareRootHistos.py:13
GaudiPython::HistoDecorator::_histos_t_
static size_t _histos_t_(const GaudiHistoTool *cmp, IDs &ids, Histos1D &histos)
Definition: HistoDecorator.cpp:506

static size_t GaudiPython::HistoDecorator::_histos_t_ | ( | const GaudiHistoTool * | cmp,
|  | IDs & | ids,
|  | Histos2D & | histos
| ) |  |
| static

static size_t GaudiPython::HistoDecorator::_histos_t_ | ( | const IAlgTool * | cmp,
|  | IDs & | ids,
|  | Histos2D & | histos
| ) |  |
| static

static size_t GaudiPython::HistoDecorator::_histos_t_ | ( | const GaudiHistoTool * | cmp,
|  | IDs & | ids,
|  | Histos3D & | histos
| ) |  |
| static

static size_t GaudiPython::HistoDecorator::_histos_t_ | ( | const IAlgTool * | cmp,
|  | IDs & | ids,
|  | Histos3D & | histos
| ) |  |
| static

static size_t GaudiPython::HistoDecorator::_histos_t_ | ( | const GaudiHistoTool * | cmp,
|  | IDs & | ids,
|  | Profiles1D & | histos
| ) |  |
| static

static size_t GaudiPython::HistoDecorator::_histos_t_ | ( | const IAlgTool * | cmp,
|  | IDs & | ids,
|  | Profiles1D & | histos
| ) |  |
| static

static size_t GaudiPython::HistoDecorator::_histos_t_ | ( | const GaudiHistoTool * | cmp,
|  | IDs & | ids,
|  | Profiles2D & | histos
| ) |  |
| static

static size_t GaudiPython::HistoDecorator::_histos_t_ | ( | const IAlgTool * | cmp,
|  | IDs & | ids,
|  | Profiles2D & | histos
| ) |  |
| static

AIDA::IHistogram1D * GaudiPython::HistoDecorator::plot1D | ( | const GaudiHistoAlg & | algo,
|  | const double | data,
|  | const std::string & | title,
|  | const double | low,
|  | const double | high,
|  | const unsigned long | bins = `100`
| ) |  |
| static

"plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient)

Parameters

  algo | the algorihtm
  data | data
  title | histogram title
  low | low edge
  high | high edge
  bins | number of bins

Definition at line 30 of file HistoDecorator.cpp.

33 {
34 return algo.plot1D( data, title, low, high, bins );
35 }
GaudiHistos::plot1D
AIDA::IHistogram1D * plot1D(const double value, const std::string &title, const double low, const double high, const unsigned long bins=100, const double weight=1.0) const
fill the 1D histogram (book on demand)
Definition: GaudiHistos_1DFixedBinning.icpp:114

AIDA::IHistogram1D * GaudiPython::HistoDecorator::plot1D | ( | const GaudiHistoAlg & | algo,
|  | const double | data,
|  | const GaudiAlg::HistoID & | ID,
|  | const std::string & | title,
|  | const double | low,
|  | const double | high,
|  | const unsigned long | bins = `100`
| ) |  |
| static

"plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient)

Parameters

  algo | the algorihtm
  data | data
  ID | histogram ID
  title | histogram title
  low | low edge
  high | high edge
  bins | number of bins

Definition at line 48 of file HistoDecorator.cpp.

51 {
52 return algo.plot1D( data, ID, title, low, high, bins );
53 }
GaudiHistos::plot1D
AIDA::IHistogram1D * plot1D(const double value, const std::string &title, const double low, const double high, const unsigned long bins=100, const double weight=1.0) const
fill the 1D histogram (book on demand)
Definition: GaudiHistos_1DFixedBinning.icpp:114

AIDA::IHistogram1D * GaudiPython::HistoDecorator::plot1D | ( | const GaudiHistoAlg & | algo,
|  | const double | data,
|  | const long | ID,
|  | const std::string & | title,
|  | const double | low,
|  | const double | high,
|  | const unsigned long | bins = `100`
| ) |  |
| static

"plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient)

Parameters

  algo | the algorihtm
  data | data
  ID | histogram ID
  title | histogram title
  low | low edge
  high | high edge
  bins | number of bins

Definition at line 66 of file HistoDecorator.cpp.

69 {
70 return algo.plot1D( data, ID, title, low, high, bins );
71 }
GaudiHistos::plot1D
AIDA::IHistogram1D * plot1D(const double value, const std::string &title, const double low, const double high, const unsigned long bins=100, const double weight=1.0) const
fill the 1D histogram (book on demand)
Definition: GaudiHistos_1DFixedBinning.icpp:114

AIDA::IHistogram1D * GaudiPython::HistoDecorator::plot1D | ( | const GaudiHistoAlg & | algo,
|  | const double | data,
|  | const std::string & | ID,
|  | const std::string & | title,
|  | const double | low,
|  | const double | high,
|  | const unsigned long | bins = `100`
| ) |  |
| static

"plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient)

Parameters

  algo | the algorihtm
  data | data
  ID | histogram ID
  title | histogram title
  low | low edge
  high | high edge
  bins | number of bins

Definition at line 84 of file HistoDecorator.cpp.

87 {
88 return algo.plot1D( data, ID, title, low, high, bins );
89 }
GaudiHistos::plot1D
AIDA::IHistogram1D * plot1D(const double value, const std::string &title, const double low, const double high, const unsigned long bins=100, const double weight=1.0) const
fill the 1D histogram (book on demand)
Definition: GaudiHistos_1DFixedBinning.icpp:114

AIDA::IHistogram1D * GaudiPython::HistoDecorator::plot1D | ( | const GaudiHistoAlg & | algo,
|  | const GaudiPython::Vector & | data,
|  | const std::string & | title,
|  | const double | low,
|  | const double | high,
|  | const unsigned long | bins = `100`
| ) |  |
| static

"plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient)

Parameters

  algo | the algorihtm
  data | vector of data
  title | histogram title
  low | low edge
  high | high edge
  bins | number of bins

Definition at line 101 of file HistoDecorator.cpp.

104 {
105 return algo.plot( GaudiPython::_identity<GaudiPython::Vector::value_type>(), data.begin(), data.end(), title, low,
106 high, bins );
107 }
GaudiPython::_identity
It is here due to &#39;missing&#39;(?) std::identity.
Definition: Vector.h:29
GaudiHistos::plot
AIDA::IHistogram1D * plot(const double value, const std::string &title, const double low, const double high, const unsigned long bins=100, const double weight=1.0) const
fill the 1D histogram (book on demand)
Definition: GaudiHistos.h:154
std::vector::end
T end(T...args)
std::vector::begin
T begin(T...args)

AIDA::IHistogram1D * GaudiPython::HistoDecorator::plot1D | ( | const GaudiHistoAlg & | algo,
|  | const GaudiPython::Vector & | data,
|  | const GaudiAlg::HistoID & | ID,
|  | const std::string & | title,
|  | const double | low,
|  | const double | high,
|  | const unsigned long | bins = `100`
| ) |  |
| static

"plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient)

Parameters

  algo | the algorihtm
  data | vector of data
  ID | histogram ID
  title | histogram title
  low | low edge
  high | high edge
  bins | number of bins

Definition at line 120 of file HistoDecorator.cpp.

123 {
124 return algo.plot( GaudiPython::_identity<GaudiPython::Vector::value_type>(), data.begin(), data.end(), ID, title, low,
125 high, bins );
126 }
GaudiPython::_identity
It is here due to &#39;missing&#39;(?) std::identity.
Definition: Vector.h:29
GaudiHistos::plot
AIDA::IHistogram1D * plot(const double value, const std::string &title, const double low, const double high, const unsigned long bins=100, const double weight=1.0) const
fill the 1D histogram (book on demand)
Definition: GaudiHistos.h:154
std::vector::end
T end(T...args)
std::vector::begin
T begin(T...args)

AIDA::IHistogram1D * GaudiPython::HistoDecorator::plot1D | ( | const GaudiHistoAlg & | algo,
|  | const GaudiPython::Vector & | data,
|  | const long | ID,
|  | const std::string & | title,
|  | const double | low,
|  | const double | high,
|  | const unsigned long | bins = `100`
| ) |  |
| static

"plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient)

Parameters

  algo | the algorihtm
  data | vector of data
  ID | histogram ID
  title | histogram title
  low | low edge
  high | high edge
  bins | number of bins

Definition at line 139 of file HistoDecorator.cpp.

142 {
143 return algo.plot( GaudiPython::_identity<GaudiPython::Vector::value_type>(), data.begin(), data.end(), ID, title, low,
144 high, bins );
145 }
GaudiPython::_identity
It is here due to &#39;missing&#39;(?) std::identity.
Definition: Vector.h:29
GaudiHistos::plot
AIDA::IHistogram1D * plot(const double value, const std::string &title, const double low, const double high, const unsigned long bins=100, const double weight=1.0) const
fill the 1D histogram (book on demand)
Definition: GaudiHistos.h:154
std::vector::end
T end(T...args)
std::vector::begin
T begin(T...args)

AIDA::IHistogram1D * GaudiPython::HistoDecorator::plot1D | ( | const GaudiHistoAlg & | algo,
|  | const GaudiPython::Vector & | data,
|  | const std::string & | ID,
|  | const std::string & | title,
|  | const double | low,
|  | const double | high,
|  | const unsigned long | bins = `100`
| ) |  |
| static

"plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient)

Parameters

  algo | the algorihtm
  data | vector of data
  ID | histogram ID
  title | histogram title
  low | low edge
  high | high edge
  bins | number of bins

Definition at line 158 of file HistoDecorator.cpp.

161 {
162 return algo.plot( GaudiPython::_identity<GaudiPython::Vector::value_type>(), data.begin(), data.end(), ID, title, low,
163 high, bins );
164 }
GaudiPython::_identity
It is here due to &#39;missing&#39;(?) std::identity.
Definition: Vector.h:29
GaudiHistos::plot
AIDA::IHistogram1D * plot(const double value, const std::string &title, const double low, const double high, const unsigned long bins=100, const double weight=1.0) const
fill the 1D histogram (book on demand)
Definition: GaudiHistos.h:154
std::vector::end
T end(T...args)
std::vector::begin
T begin(T...args)

AIDA::IHistogram2D * GaudiPython::HistoDecorator::plot2D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const double | lowY,
|  | const double | highY,
|  | const unsigned long | binsX = `50`,
|  | const unsigned long | binsY = `50`,
|  | const double | weight = `1.0`
| ) |  |
| static

fill the 2D histogram (book on demand)

Parameters

  valueX | x value to be filled
  valueY | y value to be filled
  title | histogram title (must be unique within the algorithm)
  lowX | low x limit for histogram
  highX | high x limit for histogram
  lowY | low y limit for histogram
  highY | high y limit for histogram
  binsX | number of bins in x
  binsY | number of bins in y
  weight | weight

Returns
  pointer to AIDA 2D histogram

Definition at line 180 of file HistoDecorator.cpp.

185 {
186 return algo.plot2D( valueX, valueY, title, lowX, highX, lowY, highY, binsX, binsY, weight );
187 }
GaudiHistos::plot2D
AIDA::IHistogram2D * plot2D(const double valueX, const double valueY, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const unsigned long binsX=50, const unsigned long binsY=50, const double weight=1.0) const
fill the 2D histogram (book on demand)
Definition: GaudiHistos_2DFixedBinning.icpp:117

AIDA::IHistogram2D * GaudiPython::HistoDecorator::plot2D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const GaudiAlg::HistoID & | ID,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const double | lowY,
|  | const double | highY,
|  | const unsigned long | binsX = `50`,
|  | const unsigned long | binsY = `50`,
|  | const double | weight = `1.0`
| ) |  |
| static

fill the 2D histogram with forced ID assignment (book on demand)

fill the 2D histogram (book on demand)

Parameters

  valueX | x value to be filled
  valueY | y value to be filled
  ID | Histogram ID to use
  title | histogram title (must be unique within the algorithm)
  lowX | low x limit for histogram
  highX | high x limit for histogram
  lowY | low y limit for histogram
  highY | high y limit for histogram
  binsX | number of bins in x
  binsY | number of bins in y
  weight | weight

Returns
  pointer to AIDA 2D histogram

Definition at line 204 of file HistoDecorator.cpp.

210 {
211 return algo.plot2D( valueX, valueY, ID, title, lowX, highX, lowY, highY, binsX, binsY, weight );
212 }
GaudiHistos::plot2D
AIDA::IHistogram2D * plot2D(const double valueX, const double valueY, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const unsigned long binsX=50, const unsigned long binsY=50, const double weight=1.0) const
fill the 2D histogram (book on demand)
Definition: GaudiHistos_2DFixedBinning.icpp:117

AIDA::IHistogram2D * GaudiPython::HistoDecorator::plot2D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const long | ID,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const double | lowY,
|  | const double | highY,
|  | const unsigned long | binsX = `50`,
|  | const unsigned long | binsY = `50`,
|  | const double | weight = `1.0`
| ) |  |
| static

fill the 2D histogram with forced ID assignment (book on demand)

Parameters

  valueX | x value to be filled
  valueY | y value to be filled
  ID | Histogram ID to use
  title | histogram title (must be unique within the algorithm)
  lowX | low x limit for histogram
  highX | high x limit for histogram
  lowY | low y limit for histogram
  highY | high y limit for histogram
  binsX | number of bins in x
  binsY | number of bins in y
  weight | weight

Returns
  pointer to AIDA 2D histogram

Definition at line 229 of file HistoDecorator.cpp.

234 {
235 return algo.plot2D( valueX, valueY, ID, title, lowX, highX, lowY, highY, binsX, binsY, weight );
236 }
GaudiHistos::plot2D
AIDA::IHistogram2D * plot2D(const double valueX, const double valueY, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const unsigned long binsX=50, const unsigned long binsY=50, const double weight=1.0) const
fill the 2D histogram (book on demand)
Definition: GaudiHistos_2DFixedBinning.icpp:117

AIDA::IHistogram2D * GaudiPython::HistoDecorator::plot2D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const std::string & | ID,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const double | lowY,
|  | const double | highY,
|  | const unsigned long | binsX = `50`,
|  | const unsigned long | binsY = `50`,
|  | const double | weight = `1.0`
| ) |  |
| static

fill the 2D histogram with forced ID assignment (book on demand)

Parameters

  valueX | x value to be filled
  valueY | y value to be filled
  ID | Histogram ID to use
  title | histogram title (must be unique within the algorithm)
  lowX | low x limit for histogram
  highX | high x limit for histogram
  lowY | low y limit for histogram
  highY | high y limit for histogram
  binsX | number of bins in x
  binsY | number of bins in y
  weight | weight

Returns
  pointer to AIDA 2D histogram

Definition at line 253 of file HistoDecorator.cpp.

259 {
260 return algo.plot2D( valueX, valueY, ID, title, lowX, highX, lowY, highY, binsX, binsY, weight );
261 }
GaudiHistos::plot2D
AIDA::IHistogram2D * plot2D(const double valueX, const double valueY, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const unsigned long binsX=50, const unsigned long binsY=50, const double weight=1.0) const
fill the 2D histogram (book on demand)
Definition: GaudiHistos_2DFixedBinning.icpp:117

AIDA::IHistogram3D * GaudiPython::HistoDecorator::plot3D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const double | valueZ,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const double | lowY,
|  | const double | highY,
|  | const double | lowZ,
|  | const double | highZ,
|  | const unsigned long | binsX = `10`,
|  | const unsigned long | binsY = `10`,
|  | const unsigned long | binsZ = `10`,
|  | const double | weight = `1.0`
| ) |  |
| static

fill the 3D histogram (book on demand)

Parameters

  valueX | x value to be filled
  valueY | y value to be filled
  valueZ | z value to be filled
  title | histogram title (must be unique within the algorithm)
  lowX | low x limit for histogram
  highX | high x limit for histogram
  lowY | low y limit for histogram
  highY | high y limit for histogram
  lowZ | low z limit for histogram
  highZ | high z limit for histogram
  binsX | number of bins in x
  binsY | number of bins in y
  binsZ | number of bins in z
  weight | weight

Returns
  pointer to AIDA 3D histogram

Definition at line 281 of file HistoDecorator.cpp.

285 {
286 return algo.plot3D( valueX, valueY, valueZ, title, lowX, highX, lowY, highY, lowZ, highZ, binsX, binsY, binsZ,
287 weight );
288 }
GaudiHistos::plot3D
AIDA::IHistogram3D * plot3D(const double valueX, const double valueY, const double valueZ, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const double lowZ, const double highZ, const unsigned long binsX=10, const unsigned long binsY=10, const unsigned long binsZ=10, const double weight=1.0) const
fill the 3D histogram (book on demand)
Definition: GaudiHistos_3DFixedBinning.icpp:121

AIDA::IHistogram3D * GaudiPython::HistoDecorator::plot3D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const double | valueZ,
|  | const GaudiAlg::HistoID & | ID,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const double | lowY,
|  | const double | highY,
|  | const double | lowZ,
|  | const double | highZ,
|  | const unsigned long | binsX = `10`,
|  | const unsigned long | binsY = `10`,
|  | const unsigned long | binsZ = `10`,
|  | const double | weight = `1.0`
| ) |  |
| static

fill the 3D histogram (book on demand)

Parameters

  valueX | x value to be filled
  valueY | y value to be filled
  valueZ | z value to be filled
  ID | Histogram ID to use
  title | histogram title (must be unique within the algorithm)
  lowX | low x limit for histogram
  highX | high x limit for histogram
  lowY | low y limit for histogram
  highY | high y limit for histogram
  lowZ | low z limit for histogram
  highZ | high z limit for histogram
  binsX | number of bins in x
  binsY | number of bins in y
  binsZ | number of bins in z
  weight | weight

Returns
  pointer to AIDA 3D histogram

Definition at line 308 of file HistoDecorator.cpp.

315 {
316 return algo.plot3D( valueX, valueY, valueZ, ID, title, lowX, highX, lowY, highY, lowZ, highZ, binsX, binsY, binsZ,
317 weight );
318 }
GaudiHistos::plot3D
AIDA::IHistogram3D * plot3D(const double valueX, const double valueY, const double valueZ, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const double lowZ, const double highZ, const unsigned long binsX=10, const unsigned long binsY=10, const unsigned long binsZ=10, const double weight=1.0) const
fill the 3D histogram (book on demand)
Definition: GaudiHistos_3DFixedBinning.icpp:121

AIDA::IHistogram3D * GaudiPython::HistoDecorator::plot3D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const double | valueZ,
|  | const long | ID,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const double | lowY,
|  | const double | highY,
|  | const double | lowZ,
|  | const double | highZ,
|  | const unsigned long | binsX = `10`,
|  | const unsigned long | binsY = `10`,
|  | const unsigned long | binsZ = `10`,
|  | const double | weight = `1.0`
| ) |  |
| static

fill the 3D histogram (book on demand)

Parameters

  valueX | x value to be filled
  valueY | y value to be filled
  valueZ | z value to be filled
  ID | Histogram ID to use
  title | histogram title (must be unique within the algorithm)
  lowX | low x limit for histogram
  highX | high x limit for histogram
  lowY | low y limit for histogram
  highY | high y limit for histogram
  lowZ | low z limit for histogram
  highZ | high z limit for histogram
  binsX | number of bins in x
  binsY | number of bins in y
  binsZ | number of bins in z
  weight | weight

Returns
  pointer to AIDA 3D histogram

Definition at line 338 of file HistoDecorator.cpp.

345 {
346 return algo.plot3D( valueX, valueY, valueZ, ID, title, lowX, highX, lowY, highY, lowZ, highZ, binsX, binsY, binsZ,
347 weight );
348 }
GaudiHistos::plot3D
AIDA::IHistogram3D * plot3D(const double valueX, const double valueY, const double valueZ, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const double lowZ, const double highZ, const unsigned long binsX=10, const unsigned long binsY=10, const unsigned long binsZ=10, const double weight=1.0) const
fill the 3D histogram (book on demand)
Definition: GaudiHistos_3DFixedBinning.icpp:121

AIDA::IHistogram3D * GaudiPython::HistoDecorator::plot3D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const double | valueZ,
|  | const std::string & | ID,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const double | lowY,
|  | const double | highY,
|  | const double | lowZ,
|  | const double | highZ,
|  | const unsigned long | binsX = `10`,
|  | const unsigned long | binsY = `10`,
|  | const unsigned long | binsZ = `10`,
|  | const double | weight = `1.0`
| ) |  |
| static

fill the 3D histogram (book on demand)

Parameters

  valueX | x value to be filled
  valueY | y value to be filled
  valueZ | z value to be filled
  ID | Histogram ID to use
  title | histogram title (must be unique within the algorithm)
  lowX | low x limit for histogram
  highX | high x limit for histogram
  lowY | low y limit for histogram
  highY | high y limit for histogram
  lowZ | low z limit for histogram
  highZ | high z limit for histogram
  binsX | number of bins in x
  binsY | number of bins in y
  binsZ | number of bins in z
  weight | weight

Returns
  pointer to AIDA 3D histogram

Definition at line 368 of file HistoDecorator.cpp.

375 {
376 return algo.plot3D( valueX, valueY, valueZ, ID, title, lowX, highX, lowY, highY, lowZ, highZ, binsX, binsY, binsZ,
377 weight );
378 }
GaudiHistos::plot3D
AIDA::IHistogram3D * plot3D(const double valueX, const double valueY, const double valueZ, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const double lowZ, const double highZ, const unsigned long binsX=10, const unsigned long binsY=10, const unsigned long binsZ=10, const double weight=1.0) const
fill the 3D histogram (book on demand)
Definition: GaudiHistos_3DFixedBinning.icpp:121

AIDA::IProfile1D * GaudiPython::HistoDecorator::profile1D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const unsigned long | binsX = `100`,
|  | const std::string & | opt = `""`,
|  | const double | lowY = `-std::numeric_limits<double>::max()`,
|  | const double | highY = `std::numeric_limits<double>::max()`,
|  | const double | weight = `1.0`
| ) |  |
| static

Definition at line 382 of file HistoDecorator.cpp.

387 {
388 return algo.profile1D( valueX, valueY, title, lowX, highX, binsX, opt, lowY, highY, weight );
389 }
GaudiHistos::profile1D
AIDA::IProfile1D * profile1D(const double valueX, const double valueY, const std::string &title, const double lowX, const double highX, const unsigned long binsX=100, const std::string &opt="", const double lowY=-std::numeric_limits< double >::max(), const double highY=std::numeric_limits< double >::max(), const double weight=1.0) const
fill the 1D profile histogram (book on demand)
Definition: GaudiHistos_1DProfFixedBinning.icpp:115

AIDA::IProfile1D * GaudiPython::HistoDecorator::profile1D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const GaudiAlg::HistoID & | ID,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const unsigned long | binsX = `100`,
|  | const std::string & | opt = `""`,
|  | const double | lowY = `-std::numeric_limits<double>::max()`,
|  | const double | highY = `std::numeric_limits<double>::max()`,
|  | const double | weight = `1.0`
| ) |  |
| static

Definition at line 393 of file HistoDecorator.cpp.

399 {
400 return algo.profile1D( valueX, valueY, ID, title, lowX, highX, binsX, opt, lowY, highY, weight );
401 }
GaudiHistos::profile1D
AIDA::IProfile1D * profile1D(const double valueX, const double valueY, const std::string &title, const double lowX, const double highX, const unsigned long binsX=100, const std::string &opt="", const double lowY=-std::numeric_limits< double >::max(), const double highY=std::numeric_limits< double >::max(), const double weight=1.0) const
fill the 1D profile histogram (book on demand)
Definition: GaudiHistos_1DProfFixedBinning.icpp:115

AIDA::IProfile1D * GaudiPython::HistoDecorator::profile1D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const long | ID,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const unsigned long | binsX = `100`,
|  | const std::string & | opt = `""`,
|  | const double | lowY = `-std::numeric_limits<double>::max()`,
|  | const double | highY = `std::numeric_limits<double>::max()`,
|  | const double | weight = `1.0`
| ) |  |
| static

Definition at line 405 of file HistoDecorator.cpp.

410 {
411 return algo.profile1D( valueX, valueY, ID, title, lowX, highX, binsX, opt, lowY, highY, weight );
412 }
GaudiHistos::profile1D
AIDA::IProfile1D * profile1D(const double valueX, const double valueY, const std::string &title, const double lowX, const double highX, const unsigned long binsX=100, const std::string &opt="", const double lowY=-std::numeric_limits< double >::max(), const double highY=std::numeric_limits< double >::max(), const double weight=1.0) const
fill the 1D profile histogram (book on demand)
Definition: GaudiHistos_1DProfFixedBinning.icpp:115

AIDA::IProfile1D * GaudiPython::HistoDecorator::profile1D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const std::string & | ID,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const unsigned long | binsX = `100`,
|  | const std::string & | opt = `""`,
|  | const double | lowY = `-std::numeric_limits<double>::max()`,
|  | const double | highY = `std::numeric_limits<double>::max()`,
|  | const double | weight = `1.0`
| ) |  |
| static

Definition at line 416 of file HistoDecorator.cpp.

422 {
423 return algo.profile1D( valueX, valueY, ID, title, lowX, highX, binsX, opt, lowY, highY, weight );
424 }
GaudiHistos::profile1D
AIDA::IProfile1D * profile1D(const double valueX, const double valueY, const std::string &title, const double lowX, const double highX, const unsigned long binsX=100, const std::string &opt="", const double lowY=-std::numeric_limits< double >::max(), const double highY=std::numeric_limits< double >::max(), const double weight=1.0) const
fill the 1D profile histogram (book on demand)
Definition: GaudiHistos_1DProfFixedBinning.icpp:115

AIDA::IProfile2D * GaudiPython::HistoDecorator::profile2D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const double | valueZ,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const double | lowY,
|  | const double | highY,
|  | const unsigned long | binsX = `50`,
|  | const unsigned long | binsY = `50`,
|  | const double | weight = `1.0`
| ) |  |
| static

Definition at line 428 of file HistoDecorator.cpp.

434 {
435 return algo.profile2D( valueX, valueY, valueZ, title, lowX, highX, lowY, highY, binsX, binsY, weight );
436 }
GaudiHistos::profile2D
AIDA::IProfile2D * profile2D(const double valueX, const double valueY, const double valueZ, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const unsigned long binsX=50, const unsigned long binsY=50, const double weight=1.0) const
fill the 2D profile histogram (book on demand)
Definition: GaudiHistos_2DProfFixedBinning.icpp:114

AIDA::IProfile2D * GaudiPython::HistoDecorator::profile2D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const double | valueZ,
|  | const GaudiAlg::HistoID & | ID,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const double | lowY,
|  | const double | highY,
|  | const unsigned long | binsX = `50`,
|  | const unsigned long | binsY = `50`,
|  | const double | weight = `1.0`
| ) |  |
| static

Definition at line 440 of file HistoDecorator.cpp.

446 {
447 return algo.profile2D( valueX, valueY, valueZ, ID, title, lowX, highX, lowY, highY, binsX, binsY, weight );
448 }
GaudiHistos::profile2D
AIDA::IProfile2D * profile2D(const double valueX, const double valueY, const double valueZ, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const unsigned long binsX=50, const unsigned long binsY=50, const double weight=1.0) const
fill the 2D profile histogram (book on demand)
Definition: GaudiHistos_2DProfFixedBinning.icpp:114

AIDA::IProfile2D * GaudiPython::HistoDecorator::profile2D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const double | valueZ,
|  | const long | ID,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const double | lowY,
|  | const double | highY,
|  | const unsigned long | binsX = `50`,
|  | const unsigned long | binsY = `50`,
|  | const double | weight = `1.0`
| ) |  |
| static

Definition at line 452 of file HistoDecorator.cpp.

458 {
459 return algo.profile2D( valueX, valueY, valueZ, ID, title, lowX, highX, lowY, highY, binsX, binsY, weight );
460 }
GaudiHistos::profile2D
AIDA::IProfile2D * profile2D(const double valueX, const double valueY, const double valueZ, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const unsigned long binsX=50, const unsigned long binsY=50, const double weight=1.0) const
fill the 2D profile histogram (book on demand)
Definition: GaudiHistos_2DProfFixedBinning.icpp:114

AIDA::IProfile2D * GaudiPython::HistoDecorator::profile2D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const double | valueZ,
|  | const std::string & | ID,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const double | lowY,
|  | const double | highY,
|  | const unsigned long | binsX = `50`,
|  | const unsigned long | binsY = `50`,
|  | const double | weight = `1.0`
| ) |  |
| static

Definition at line 464 of file HistoDecorator.cpp.

470 {
471 return algo.profile2D( valueX, valueY, valueZ, ID, title, lowX, highX, lowY, highY, binsX, binsY, weight );
472 }
GaudiHistos::profile2D
AIDA::IProfile2D * profile2D(const double valueX, const double valueY, const double valueZ, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const unsigned long binsX=50, const unsigned long binsY=50, const double weight=1.0) const
fill the 2D profile histogram (book on demand)
Definition: GaudiHistos_2DProfFixedBinning.icpp:114

The documentation for this class was generated from the following files:

- GaudiPython/GaudiPython/HistoDecorator.h
- GaudiPython/src/Lib/HistoDecorator.cpp